---
name: "\U0001F680Feature Request"
about: Submit a proposal/request for a new detectron2 feature

---

## 🚀 Feature
<!-- A clear and concise description of the feature proposal -->

## Motivation

<!-- Please outline the motivation for the proposal. Is your feature request related to a problem?
e.g., I'm always frustrated when [...]. If this is related to another GitHub issue, please link here too -->

## Pitch

<!-- A clear and concise description, e.g., with code examples showing what you want to happen. -->

Note that we only consider adding new features if they are relevant to many users.
We do not take requests to implement recent research papers --
we only consider papers that have enough significance and prevalance.

We don't take feature requests for most projects in the `projects/` directory,
because they are research code release that is mainly for other researchers to reproduce results.

Instead of adding features inside detectron2,
you can implement many features by [extending detectron2](https://detectron2.readthedocs.io/tutorials/extend.html).
The [projects/](https://github.com/facebookresearch/detectron2/tree/master/projects/) directory
contains many of such examples.

